Name:           openmw
Version:        0.26.0
Release:        %mkrel 2
Summary:        Unofficial open source engine re-implementation of the game Morrowind
Group:          Games/Other
License:        GPLv3
URL:            https://openmw.org/
Source:         https://openmw.googlecode.com/files/%{name}-%{version}-source.tar.gz
Patch1:		openmw-0.25.0-MyGUI-lib-dir.patch
BuildRequires:  cmake
BuildRequires:	pkgconfig(libavcodec)
BuildRequires:	pkgconfig(OGRE)
BuildRequires:	pkgconfig(MYGUI)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(bullet)
BuildRequires:	pkgconfig(QtCore) < 5.0.0
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(libunshield)
Requires:       mygui
Requires:       ogre

%description
OpenMW is an attempt to reimplement the popular role playing game Morrowind.
It aims to be a fully playable, open source implementation of the game.

You must own Morrowind to use OpenMW. OpenMW is a reimplementation of the
technical aspects of the game only. It does not come with any “content”
– namely the art, game data, and other copyrighted material that you need to
play the game as designed by Bethesda Softworks.

%prep
%setup -q -c %{name}-%{version}
%apply_patches

%build
%cmake \
	-DMORROWIND_DATA_FILES:PATH=%{_gamesdatadir}/%{name}/data \
	-DMORROWIND_RESOURCE_FILES:PATH=%{_gamesdatadir}/%{name}/resources \
	-DDATADIR:PATH=%{_gamesdatadir}/openmw
%make VERBOSE=1

%install
%makeinstall_std -C build

%files
%doc credits.txt readme.txt
%license "Daedric Font License.txt"
%license "DejaVu Font License.txt"
%license  OFL.txt GPL3.txt
%config(noreplace) %{_sysconfdir}/openmw/
%{_bindir}/esmtool
%{_bindir}/mwiniimport
%{_bindir}/omwlauncher
%{_bindir}/opencs
%{_bindir}/openmw
%{_datadir}/applications/opencs.desktop
%{_datadir}/applications/openmw.desktop
%dir %{_gamesdatadir}/openmw/
%dir %{_gamesdatadir}/openmw/resources/
%{_gamesdatadir}/openmw/resources/materials/
%{_gamesdatadir}/openmw/resources/mygui/
%{_gamesdatadir}/openmw/resources/water/
%{_datadir}/pixmaps/opencs.png
%{_datadir}/pixmaps/openmw.png


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.26.0-2.mga4
+ Revision: 534496
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 wally <wally> 0.26.0-1.mga4
+ Revision: 478143
- new version 0.26.0
- new version 0.25.0
- BR sdl2
- drop unneeded ffmpeg patch
- rediff MyGUI lib location patch

* Thu Aug 08 2013 wally <wally> 0.24.0-2.mga4
+ Revision: 464526
- add some docs

* Wed Aug 07 2013 wally <wally> 0.24.0-1.mga4
+ Revision: 464506
- import openmw (based on .spec from Alexandre Moine, Fedora)

